Microsoft .NET Framework

Установка .NET Framework требуется для выполнения любой программы, написанной на этой программной платформе. В настоящее время существует множество таких приложений, от самых известных, таких как пакет драйверов AMD Catalyst, до менее распространённых, например графический редактор Paint .NET или хранитель паролей KeePass. В новых операционных системах от Microsoft платформа .NET Framework доступна сразу после установки, однако для запуска некоторых программ могут потребоваться другие версии.

К установочным файлам прилагаются языковые пакеты, для вывода системных сообщений и информации об ошибках на русском языке.

Microsoft .NET Framework 4.7

Является заменой версий: 4.0, 4.5, 4.6, предназначается для Windows 7 / 8 / 10.

Microsoft .NET Framework 4.5.2

Является обновлением версии 4.0, поэтому если устанавливается 4.5.2 то версию 4.0 ставить не нужно.

Microsoft .NET Framework 4.0

Версию 4.0 стоит устанавливать там, где невозможно установить 4.5.1, например на Windows XP SP3. Во всех остальных случаях достаточно установить только 4.5.1.

Microsoft .NET Framework 3.5 Service Pack 1

Установочный файл версии 3.5 SP1 также включает в себя версии 2.0 SP2 и 3.0 SP2.

Microsoft .NET Framework 1.1

Версия 1.1 используется редко, устанавливать только при необходимости. Например если при запуске приложения выдаётся ошибка, а в системных требованиях указан .NET Framework 1.1.

Microsoft .NET Framework 1.0

Версия 1.0 почти не используется, устанавливать только в том случае, если действительно понимаете зачем это нужно.

Microsoft .NET Compact Framework 3.5

Дистрибутив версии 3.5 включает в себя всё необходимое для запуска программ, написанных для .NET Compact Framework версий 1.0 и 2.0.